## morbig 0.9

=== Makefile ===
.PHONY: all debug clean checks uninstall doc install install-local dist
.PHONY: docker-image publish-docker-image

EXPORTED_SOURCES=				\
	src/CST.ml				\
	src/errors.mli                          \
	src/API.mli

all:
	$(MAKE) -C src
	mkdir -p bin lib
	if [ -e src/morbigDriver.native ]; then \
		cp src/morbigDriver.native bin/morbig ;\
		cp src/_build/morbig.o src/_build/morbig.cm* \
			src/_build/morbig.a src/_build/libmorbigc.a lib; \
	else \
		cp src/morbigDriver.byte bin/morbig ;\
		cp src/_build/morbig.cm* src/_build/libmorbigc.a lib; \
	fi

doc:
	$(MAKE) -C src doc
	cp -fr src/morbig.docdir/* doc

debug:
	DEBUGPARSING=yes $(MAKE) -C src debug
	mkdir -p bin
	cp src/morbigDriver.byte bin/morbig

install:
	@ if [ x$(PREFIX) = x ]; then						\
	  echo "Selecting OPAM based install.";					\
	  echo "Specify PREFIX=... for system-wide install.";			\
	  cp bin/morbig `opam config var bin`;					\
	  cp man/morbig.1 `opam config var man`;				\
	  mkdir -p `opam config var doc`/morbig;				\
	  cp -fr doc/* `opam config var doc`/morbig;				\
	  ocamlfind remove morbig;						\
	  ocamlfind install morbig META lib/* include/* $(EXPORTED_SOURCES);	\
	else									\
	  echo "Selecting system-wide install. PREFIX is $(PREFIX)";		\
	  mkdir -p $(PREFIX)/bin;						\
	  cp bin/morbig $(PREFIX)/bin;						\
	  mkdir -p $(PREFIX)/share/man/man1;					\
	  cp man/morbig.1 $(PREFIX)/share/man/man1;				\
	  mkdir -p $(PREFIX)/share/doc/morbig; 					\
	  cp -fr doc/* $(PREFIX)/share/doc/morbig;				\
	  mkdir -p $(PREFIX)/lib/ocaml;						\
	  ocamlfind remove -destdir $(PREFIX)/lib/ocaml morbig;			\
	  ocamlfind install -destdir $(PREFIX)/lib/ocaml			\
	    morbig META $(EXPORTED_SOURCES) lib/* include/*;			\
         fi

install-local:
	PREFIX=/usr/local make install

uninstall:
	@ if [ x$(PREFIX) = x ]; then					\
	  echo "Selecting OPAM based uninstall. ";			\
	  echo "Specify PREFIX=... for system-wide install.";		\
	  rm -fr `opam config var bin`/morbig 				\
                 `opam config var man`/morbig.1				\
	         `opam config var doc`/morbig				\
	  ocamlfind remove morbig;					\
	else								\
	  echo "Selecting system-wide install. PREFIX is $(PREFIX)";	\
	  rm -fr $(PREFIX)/bin/morbig					\
                 $(PREFIX)/share/man/man1/morbig.1			\
                 $(PREFIX)/share/doc/morbig;				\
	  ocamlfind remove -destdir $(PREFIX)/lib morbig;		\
         fi

check:
	@ output=$$(./tests/run 2>&1) ;     \
	  status=$$? ;                      \
	  echo "$$output" | tee tests.org ; \
	  exit $$status

VERSION := $(shell cat VERSION)
NAME_VERSION := morbig.${VERSION}
ARCHIVE := https://github.com/colis-anr/morbig/archive/v${VERSION}.tar.gz
CHECKSUM := $$(wget -qO- "${ARCHIVE}" | md5sum | cut -d ' ' -f 1)

opam-release:
	mkdir "${NAME_VERSION}"
	cp descr opam "${NAME_VERSION}"
	printf 'archive: "%s"\nchecksum: "%s"\n' "${ARCHIVE}" "${CHECKSUM}" > "${NAME_VERSION}"/url
	@printf 'Check the content of ${NAME_VERSION}. When happy, run:\nopam publish submit ${NAME_VERSION}\n'

clean:
	$(MAKE) -C src clean
	rm -f src/version.ml
	rm -f tests.org
	rm -rf "${NAME_VERSION}"
	tests/run clean
	[ ! -d bin ] || rm -fr bin
	[ ! -d lib ] || rm -fr lib

PACKAGE=$(shell echo morbig-`cat VERSION`)

dist:
	git archive -o $(PACKAGE).tar --format tar --prefix $(PACKAGE)/  master
	gzip -9 $(PACKAGE).tar

docker-image: Dockerfile
	@docker build -t morbig .

publish-docker-image: docker-image
	docker tag morbig colisanr/morbig:latest
	docker image push colisanr/morbig:latest

=== src/Makefile ===
# -*- makefile -*-
.PHONY: all clean debug doc .headers

OCAMLBUILD=ocamlbuild -use-ocamlfind
ODIR=`ocamlc -where`

# Menhir can be told to produce a parser that explains what
# it is doing.
MENHIROPT_COMMON=\
   -yaccflag --explain -yaccflag --inspection -yaccflag --table \
   -yaccflag --dump -tag debug

ifeq ($(DEBUGPARSING), yes)
  MENHIROPT=$(MENHIROPT_COMMON) -yaccflag --trace
else
  MENHIROPT=$(MENHIROPT_COMMON)
endif

OCAMLBUILDFLAGS_COMMON = $(MENHIROPT)

# In Emacs, use classic display to enable error jumping.
TERM = $(shell echo $$TERM)
ifeq ($(TERM), dumb)
 OCAMLBUILDFLAGS = $(OCAMLBUILDFLAGS_COMMON) -tag debug -classic-display
else
 OCAMLBUILDFLAGS = $(OCAMLBUILDFLAGS_COMMON)
endif

OCAMLBUILD = ocamlbuild -use-ocamlfind $(OCAMLBUILDFLAGS)

all:
	echo "(* This file is automatically generated. *)" > version.ml
	echo "let current=\"`cat ../VERSION`\"" >> version.ml
	# echo "let commitdate = \"`git log -1 --pretty=format:%ad`\"" >> version.ml
	# echo "let commithash = \"`git log -1 --pretty=format:%H`\"" >> version.ml
	if (which ocamlopt > /dev/null); then \
		echo "compilation to native code"; \
		$(OCAMLBUILD) morbigDriver.native \
			morbig.cma morbig.cmxa morbig.cmxs CAPI.native.o libmorbigcstub.a \
		&& cp `ocamlc -where`/libasmrun.a _build/libocaml.a; \
	else \
		echo "compilation to byte code" ;\
		$(OCAMLBUILD) morbigDriver.byte morbig.cma libmorbigcstub.a \
		&& cp `ocamlc -where`/libocamlrun.a _build/libocaml.a; \
	fi && \
	ar -rc _build/libmorbigc.a		\
	  _build/libocaml.a			\
	  $(ODIR)/libcamlstr.a			\
	  $(ODIR)/dynlink.a			\
	  _build/libmorbigcstub.a		\
	  _build/CAPI.native.o

debug:
	$(OCAMLBUILD) -tag debug morbigDriver.byte morbig.cma

clean:
	$(OCAMLBUILD) -clean

doc:
	$(OCAMLBUILD) morbig.docdir/index.html

headers:
	headache -h .header *.ml *.mli *.mll *.mly

=== examples/c/Makefile ===
.PHONY: all clean

STDDIR=$(shell ocamlfind ocamlc -where)
LIBDIR=$(shell ocamlfind query libmorbig)

all:
	$(CC) -o dump -I $(STDDIR) -I $(LIBDIR) \
            dump.c -lm -ldl $(LIBDIR)/libmorbigc.a

clean:
	rm -f dump

=== debian/changelog ===
morbig (0.9-1) unstable; urgency=medium

  * First upstream release (closes: #907985)

 -- Ralf Treinen <treinen@debian.org>  Sun, 09 Sep 2018 21:23:17 +0200

=== debian/control ===
Source: morbig
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper (>= 11), dh-ocaml,
 ocaml-nox (>= 4.02.3),
 ocamlbuild | ocaml-nox (<< 4.05),
 ocaml-findlib,
 menhir (>= 20170509),
 libmenhir-ocaml-dev (>= 20170509),
 libppx-deriving-yojson-ocaml-dev,
 libppx-visitors-ocaml-dev,
 libyojson-ocaml-dev (>= 1.3.2),
Standards-Version: 4.2.1
Homepage: https://github.com/colis-anr/morbig
Vcs-Git: https://salsa.debian.org/ocaml-team/morbig.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/morbig

Package: libmorbig-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml libraries of the morbig shell parser (development files)
 Morbig is a parser for shell scripts that are written in the POSIX
 shell script language. It parses the scripts statically, that is
 without executing them, and constructs a concrete syntax tree for
 each of them. The concrete syntax trees are built using constructors
 according to the shell grammar of the POSIX standard.
 .
 This package contains the development stuff you need to use morbig for
 the development of programs. It provides, among others, functions for
 parsing shell scripts, the type definition of concrete syntax trees,
 and functions for reading and writing concrete syntax trees.

Package: morbig
Section: devel
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}, xz-utils
Description: Parser for POSIX shell scripts
 Morbig is a parser for shell scripts that are written in the POSIX
 shell script language. It parses the scripts statically, that is
 without executing them, and constructs a concrete syntax tree for
 each of them.  The concrete syntax trees are built using constructors
 according to the shell grammar of the POSIX standard.
 .
 This package contains the parser tool which allows you to parse shell
 scripts, and to obtain their concrete syntax tree in various formats.

=== debian/rules ===
#!/usr/bin/make -f

INSTALLDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_test:
	# do nothing

override_dh_auto_build:
	dh_auto_build
	make doc

override_dh_auto_install:
	PREFIX=$(INSTALLDIR)/usr make install

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: standalone
Depends: morbig

Tests: api-ocaml
Depends: libmorbig-ocaml-dev, ocaml-nox, ocaml-findlib, ocamlbuild

## morbig 0.9.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: all debug clean checks uninstall doc install install-local dist
+.PHONY: all debug clean checks uninstall doc install install-local dist examples
 .PHONY: docker-image publish-docker-image
 
 EXPORTED_SOURCES=				\
@@ -76,22 +76,19 @@
 	  echo "$$output" | tee tests.org ; \
 	  exit $$status
 
-VERSION := $(shell cat VERSION)
-NAME_VERSION := morbig.${VERSION}
-ARCHIVE := https://github.com/colis-anr/morbig/archive/v${VERSION}.tar.gz
-CHECKSUM := $$(wget -qO- "${ARCHIVE}" | md5sum | cut -d ' ' -f 1)
+examples:
+	find examples -name 'Makefile' | \
+	    while read file; do dirname "$$file"; done | \
+	    xargs -n1 make -C
 
 opam-release:
-	mkdir "${NAME_VERSION}"
-	cp descr opam "${NAME_VERSION}"
-	printf 'archive: "%s"\nchecksum: "%s"\n' "${ARCHIVE}" "${CHECKSUM}" > "${NAME_VERSION}"/url
-	@printf 'Check the content of ${NAME_VERSION}. When happy, run:\nopam publish submit ${NAME_VERSION}\n'
+	@printf 'You need `opam-publish` installed with `tls`.\n'
+	opam publish
 
 clean:
 	$(MAKE) -C src clean
 	rm -f src/version.ml
 	rm -f tests.org
-	rm -rf "${NAME_VERSION}"
 	tests/run clean
 	[ ! -d bin ] || rm -fr bin
 	[ ! -d lib ] || rm -fr lib

=== src/Makefile ===
--- 
+++ 
@@ -31,8 +31,6 @@
 all:
 	echo "(* This file is automatically generated. *)" > version.ml
 	echo "let current=\"`cat ../VERSION`\"" >> version.ml
-	# echo "let commitdate = \"`git log -1 --pretty=format:%ad`\"" >> version.ml
-	# echo "let commithash = \"`git log -1 --pretty=format:%H`\"" >> version.ml
 	if (which ocamlopt > /dev/null); then \
 		echo "compilation to native code"; \
 		$(OCAMLBUILD) morbigDriver.native \
@@ -42,19 +40,23 @@
 		echo "compilation to byte code" ;\
 		$(OCAMLBUILD) morbigDriver.byte morbig.cma libmorbigcstub.a \
 		&& cp `ocamlc -where`/libocamlrun.a _build/libocaml.a; \
-	fi && \
-	ar -rc _build/libmorbigc.a		\
-	  _build/libocaml.a			\
-	  $(ODIR)/libcamlstr.a			\
-	  $(ODIR)/dynlink.a			\
-	  _build/libmorbigcstub.a		\
-	  _build/CAPI.native.o
+	fi
+	echo "create _build/libmorbigc.a"      > libmorbigc.mri
+	echo "addlib _build/libocaml.a"       >> libmorbigc.mri
+	echo "addlib $(ODIR)/libcamlstr.a"    >> libmorbigc.mri
+	echo "addlib $(ODIR)/dynlink.a"       >> libmorbigc.mri
+	echo "addlib _build/libmorbigcstub.a" >> libmorbigc.mri
+	echo "addmod _build/CAPI.native.o"    >> libmorbigc.mri
+	echo "save"                           >> libmorbigc.mri
+	echo "end"                            >> libmorbigc.mri
+	ar -M < libmorbigc.mri
 
 debug:
 	$(OCAMLBUILD) -tag debug morbigDriver.byte morbig.cma
 
 clean:
 	$(OCAMLBUILD) -clean
+	rm -f libmorbigc.mri
 
 doc:
 	$(OCAMLBUILD) morbig.docdir/index.html

=== examples/c/Makefile ===
.PHONY: all clean

STDDIR=$(shell ocamlfind ocamlc -where)
LIBDIR=$(shell ocamlfind query morbig)

all:
	$(CC) -o dump -I $(STDDIR) -I $(LIBDIR) \
            dump.c -lm -ldl $(LIBDIR)/libmorbigc.a

clean:
	rm -f dump

=== debian/changelog ===
morbig (0.9.1-2) unstable; urgency=medium

  * Standards-Version 4.3.0 (no change)
  * Debhelper compatibility level 12

 -- Ralf Treinen <treinen@debian.org>  Wed, 09 Jan 2019 17:55:13 +0100

morbig (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * libmorbig-ocaml-dev: add Suggests ocaml-findlib
  * Install morbig.1 manpage via debian/morbig.manpages
  * Install examples provided by upstream
  * patch makefile: fix compilation on bytecode architectures
  * patch version_0.9.1: upstream forgot to increment version
  * debian/tests: add a test for the C API
  * add debian/upstream/metadata

 -- Ralf Treinen <treinen@debian.org>  Sun, 02 Dec 2018 21:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper (>= 11), dh-ocaml,
+Build-Depends: debhelper (>= 12), dh-ocaml,
  ocaml-nox (>= 4.02.3),
  ocamlbuild | ocaml-nox (<< 4.05),
  ocaml-findlib,
@@ -12,7 +12,7 @@
  libppx-deriving-yojson-ocaml-dev,
  libppx-visitors-ocaml-dev,
  libyojson-ocaml-dev (>= 1.3.2),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/colis-anr/morbig
 Vcs-Git: https://salsa.debian.org/ocaml-team/morbig.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/morbig
@@ -20,6 +20,7 @@
 Package: libmorbig-ocaml-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+Suggests: ocaml-findlib
 Provides: ${ocaml:Provides}
 Description: OCaml libraries of the morbig shell parser (development files)
  Morbig is a parser for shell scripts that are written in the POSIX

=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,9 @@
 override_dh_auto_install:
 	PREFIX=$(INSTALLDIR)/usr make install
 
+override_dh_installexamples:
+	dh_installexamples
+	rm $(INSTALLDIR)/../libmorbig-ocaml-dev/usr/share/doc/libmorbig-ocaml-dev/examples/c/.gitignore
+
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
	 https://github.com/colis-anr/morbig.git \
         refs/tags/v([\d.]+)

## morbig 0.10.4

=== Makefile ===
.PHONY: build doc install uninstall check examples clean
.PHONY: dist docker-image publish-docker-image headers

EXPORTED_SOURCES=				\
	src/CST.ml				\
	src/errors.mli                          \
	src/API.mli

ODIR=$(shell ocamlc -where)

build:
	if command -v ocamlopt >/dev/null; then cp src/c/dune.native src/c/dune; fi
	dune build @install
	[ -e bin ] || ln -sf _build/install/default/bin bin
	[ -e lib ] || ln -sf _build/install/default/lib/morbig lib

doc: build
	dune build @doc
	[ -e doc ] || ln -sf _build/default/_doc/_html doc

ifneq ($(PREFIX),)
INSTALL_ARGS := $(INSTALL_ARGS) --prefix $(PREFIX)
endif

ifneq ($(LIBDIR),)
INSTALL_ARGS := $(INSTALL_ARGS) --libdir $(LIBDIR)
endif

install: build
	dune install $(INSTALL_ARGS)

uninstall: build
	dune uninstall $(INSTALL_ARGS)

check: build
	@ output=$$(./tests/run 2>&1) ;     \
	  status=$$? ;                      \
	  echo "$$output" | tee tests.org ; \
	  exit $$status

examples:
	find examples -name 'Makefile' | \
	    while read file; do dirname "$$file"; done | \
	    xargs -n1 make -C

clean:
	rm -f src/c/dune
	dune clean
	rm -f bin lib doc
	rm -f tests.org
	tests/run clean

PACKAGE=$(shell echo morbig-`cat VERSION`)

dist: clean
	git archive -o $(PACKAGE).tar --format tar --prefix $(PACKAGE)/  master
	gzip -9 $(PACKAGE).tar

docker-image: Dockerfile
	@docker build -t morbig .

publish-docker-image: docker-image
	docker tag morbig colisanr/morbig:latest
	docker image push colisanr/morbig:latest

headers:
	cd src && headache -c .headache.conf -h .header *.ml *.ml[ily]

=== examples/c/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 all:
 	$(CC) -o dump -I $(STDDIR) -I $(LIBDIR) \
-            dump.c -lm -ldl $(LIBDIR)/libmorbigc.a
+            dump.c $(LIBDIR)/libmorbigc.o -lm -ldl
 
 clean:
 	rm -f dump

=== debian/changelog ===
morbig (0.10.4-7build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:20:41 +0100

morbig (0.10.4-7build2) noble; urgency=medium

  * Rebuild against 'new OCAML ABIs'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 07:54:34 +0100

morbig (0.10.4-7build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:17:18 +0100

morbig (0.10.4-7) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:49:40 +0200

morbig (0.10.4-6) unstable; urgency=medium

  * Re-upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 23 Oct 2022 22:07:30 +0200

morbig (0.10.4-5.1) experimental; urgency=medium

  [ Ralf Treinen ]
  * upstream/metadata:
    - remove deprecated fields "name" and "contact"
    - update reference

  [ Julien Puydt ]
  * Team upload.
  * Add fix_yojson_2.patch.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 12 Aug 2022 22:06:35 +0200

morbig (0.10.4-5) unstable; urgency=medium

  * Standards-Version 4.6.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 04 Oct 2021 08:09:05 +0200

morbig (0.10.4-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Add empty dh_dwz override to fix FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jul 2020 08:56:09 +0200

morbig (0.10.4-3) unstable; urgency=medium

  * Standards-Version 4.5.0 (no change)
  * d/rules: drop override of dh_dwz which is no longer needed
  * add "examples/c/.gitignore" to the import filter

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Feb 2020 22:25:25 +0100

morbig (0.10.4-2) unstable; urgency=medium

  * Restore the build-dependency on ocamlbuild as it is still used
    to build the doc.
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 09 Nov 2019 07:03:08 +0100

morbig (0.10.4-1) unstable; urgency=medium

  * New upstream version
  * Change build-dependency on dune to its new name ocaml-dune
  * Drop build-dependency on ocamlbuild
  * Standards-Version 4.4.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 08 Nov 2019 23:44:46 +0100

morbig (0.10.3-2) experimental; urgency=medium

  * d/rules: invoke dh_dwz only on archictures where ocaml compiles
    to native code.

 -- Ralf Treinen <treinen@debian.org>  Mon, 11 Mar 2019 17:14:25 +0100

morbig (0.10.3-1) experimental; urgency=medium

  * New upstream version.
  * Update debian/watch: initial 'v' of the tag optional.
  * Drop patches version_0.9.1 and makefile
  * debian/rules: don't build doc using odoc, but using ocamlbuild
  * debian/libmorbig-ocaml-dev.install:
    - adjust paths
    - drop stublibs since these are not build by the package
  * debian/morbig.manpages: adjust path (manpage not installed by dune)
  * Add Readme.md to debian/not-installed as it is not useful for debian.
  * Override dh_dwz to use option --no-dwz-multifile
  * Build-dependencies:
    - add dune but keep ocamlbuild as we still need it to build the
      documentation
    - require ocaml >= 4.04
    - require ocaml-visitors >= 20180513
    - debhelper-compat (=12); drop file debian/compat
  * autopkgtest:
    - api-ocaml: module Morbig.API has been renamed to Morbig.
    - Improve tests api-ocaml and api-c: more messages, also try compilation to
      native code when available

 -- Ralf Treinen <treinen@debian.org>  Sat, 09 Mar 2019 12:08:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
-Build-Depends: debhelper (>= 12), dh-ocaml,
- ocaml-nox (>= 4.02.3),
- ocamlbuild | ocaml-nox (<< 4.05),
+Build-Depends: debhelper-compat (= 13), dh-ocaml,
+ ocaml,
+ ocaml-dune,
  ocaml-findlib,
+ ocamlbuild,
  menhir (>= 20170509),
  libmenhir-ocaml-dev (>= 20170509),
  libppx-deriving-yojson-ocaml-dev,
- libppx-visitors-ocaml-dev,
- libyojson-ocaml-dev (>= 1.3.2),
-Standards-Version: 4.3.0
+ libppx-visitors-ocaml-dev (>= 20180513),
+ libyojson-ocaml-dev (>= 2.0.2),
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/colis-anr/morbig
 Vcs-Git: https://salsa.debian.org/ocaml-team/morbig.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/morbig

=== debian/tests/control ===
Tests: standalone
Depends: morbig

Tests: api-ocaml
Depends: libmorbig-ocaml-dev, ocaml, ocaml-findlib, ocamlbuild

Tests: api-c
Depends: libmorbig-ocaml-dev, ocaml-findlib, gcc, make

## morbig 0.11.0

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	dune clean
 	rm -f bin lib doc
 	rm -f tests.org
-	tests/run clean
+	tests/run clean || true
 
 PACKAGE=$(shell echo morbig-`cat VERSION`)
 
@@ -64,4 +64,4 @@
 	docker image push colisanr/morbig:latest
 
 headers:
-	cd src && headache -c .headache.conf -h .header *.ml *.ml[ily]
+	headache -h .header $(shell find src/ -regex '.*\.ml[ily]?')

=== examples/c/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 all:
 	$(CC) -o dump -I $(STDDIR) -I $(LIBDIR) \
-            dump.c $(LIBDIR)/libmorbigc.o -lm -ldl
+            dump.c $(LIBDIR)/libmorbigc.o -lm -ldl -lpthread
 
 clean:
 	rm -f dump

=== debian/changelog ===
morbig (0.11.0-3build9) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:40:49 +0200

morbig (0.11.0-3build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:06:24 +0200

morbig (0.11.0-3build7) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:53:30 +0100

morbig (0.11.0-3build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:10:55 +0100

morbig (0.11.0-3build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 21:53:06 +0100

morbig (0.11.0-3build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:24:48 +0100

morbig (0.11.0-3build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:03:50 +0100

morbig (0.11.0-3build2) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 13:13:30 +0100

morbig (0.11.0-3build1) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 18:32:26 +0200

morbig (0.11.0-3) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Aug 2024 07:22:08 +0200

morbig (0.11.0-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:46:45 +0200

morbig (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * Drop patch fix_yojson_2, this issue has been fixed upstream
  * Depend on minimal version 4.11 of ocaml, following upstream's README
  * Drop override of dh_installexamples since it is no longer needed,
    upstream dropped the annoying .gitignore file in the examples directory
  * Drop override of dh_dwz since dwz has been fixed to not fail on binaries
    without debug information.
  * clean target: remove src/_build and src/morbig.docdir (closes: #1047349)

 -- Ralf Treinen <treinen@debian.org>  Thu, 29 Feb 2024 23:31:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>,
 Build-Depends: debhelper-compat (= 13), dh-ocaml,
- ocaml,
+ ocaml (>= 4.11),
  ocaml-dune,
  ocaml-findlib,
  ocamlbuild,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

INSTALLDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_test:
	# do nothing

override_dh_auto_build:
	dh_auto_build
	cd src && ocamlbuild morbig.docdir/index.html

override_dh_auto_install:
	PREFIX=$(INSTALLDIR)/usr make install

=== debian/tests/control ===
Tests: standalone
Depends: morbig

Tests: api-ocaml
Depends: libmorbig-ocaml-dev, ocaml, ocaml-findlib, ocamlbuild

Tests: api-c
Depends: libmorbig-ocaml-dev, ocaml-findlib, gcc, make, ocaml-native-compilers
Restrictions: skip-not-installable
